require 'machinist/active_record'
require 'sham'
require 'faker'


Sham.location do
  "#{Faker::Address.city}, #{Faker::Address.uk_country}"
end


Map.blueprint do
  name { Sham.location }
end


Mash.blueprint do

end


MashTournament.blueprint do

end


MashTournamentRound.blueprint do

end


Requester.blueprint do
  ip do
    parts = []
    4.times do
      parts << (rand * 100).to_i.to_s
    end
    parts.join('.')
  end
end
